#<profile4xi profile = "11" /> 
# -------------------------------------------------------------------------------------------------
#<program4xi program = "fire1700seven4xi .py">
#<abstract4xi abstract = "fires to direction seven and to distance 1700"/>
#<verify4xi verification = "11" target = "verb4xi.py"/>
#<refer4xi reference = "verb4xi.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'fire1700seven4xi ']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread
import _winapi
   

import signal
import itertools
import weakref
import logging 

from math import pi
from math import sin
from math import cos 
from math import fabs
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "


from time4xi import time4xi

#"
#/>
       
       
# -------------------------------------------------------------------------------------------------
# SHOT2SEVEN - COORDINATE SIGNS OF SHOOT2SEVEN4XI: (X - ,Y - ,Z + )
# -------------------------------------------------------------------------------------------------    
global shot2seven17004xi

#"
#/>

# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
ack2debug = False
shot2seven17004xi = {
                1:'-1016x-1361y37z',
                2:'-1028x-936y977z',
                3:'-1053x-1169y641z',
                4:'-1068x-875y991z',
                5:'-1086x-1306y54z',
                6:'-1104x-812y1004z',
                7:'-1108x-1108y657z',
                8:'-112x-849y1468z',
                9:'-1137x-748y1018z',
                10:'-1152x-1247y71z',
                11:'-1160x-1044y673z',
                12:'-1165x-682y1031z',
                13:'-1190x-615y1045z',
                14:'-1207x-978y688z',
                15:'-1211x-548y1058z',
                16:'-1215x-1184y88z',
                17:'-1228x-480y1072z',
                18:'-1242x-411y1085z',
                19:'-1251x-343y1098z',
                20:'-1251x-909y704z',
                21:'-1256x-274y1111z',
                22:'-1275x-1118y105z',
                23:'-1291x-838y719z',
                24:'-1327x-766y735z',
                25:'-1331x-1049y122z',
                26:'-1359x-692y750z',
                27:'-1383x-978y139z',
                28:'-1386x-617y765z',
                29:'-1409x-541y780z',
                30:'-1428x-464y795z',
                31:'-1431x-903y156z',
                32:'-1443x-386y810z',
                33:'-1453x-308y825z',
                34:'-1459x-231y840z',
                35:'-1461x-153y855z',
                36:'-1475x-826y173z',
                37:'-149x-1506y773z',
                38:'-1514x-747y190z',
                39:'-154x-828y1476z',
                40:'-1550x-666y207z',
                41:'-1580x-583y224z',
                42:'-15x-16y1699z',
                43:'-1607x-499y241z',
                44:'-1628x-413y257z',
                45:'-16x-242y1682z',
                46:'-171x-1630y448z',
                47:'-194x-804y1484z',
                48:'-226x-1488y788z',
                49:'-231x-778y1493z',
                50:'-24x-885y1450z',
                51:'-255x-1614y465z',
                52:'-25x-30y1699z',
                53:'-267x-751y1501z',
                54:'-27x-224y1684z',
                55:'-300x-722y1509z',
                56:'-302x-1467y803z',
                57:'-331x-692y1516z',
                58:'-338x-1594y481z',
                59:'-34x-45y1699z',
                60:'-359x-660y1524z',
                61:'-35x-206y1687z',
                62:'-377x-1441y818z',
                63:'-385x-627y1531z',
                64:'-3x-260y1679z',
                65:'-409x-594y1539z',
                66:'-41x-61y1698z',
                67:'-420x-1570y497z',
                68:'-42x-187y1689z',
                69:'-430x-559y1546z',
                70:'-449x-1411y833z',
                71:'-449x-524y1553z',
                72:'-465x-489y1560z',
                73:'-46x-78y1697z',
                74:'-475x-87y1629z',
                75:'-478x-453y1566z',
                76:'-486x-116y1624z',
                77:'-48x-169y1690z',
                78:'-490x-417y1573z',
                79:'-495x-145y1619z',
                80:'-498x-381y1579z',
                81:'-4x-4y1699z',
                82:'-500x-1541y514z',
                83:'-501x-177y1614z',
                84:'-505x-346y1585z',
                85:'-506x-209y1609z',
                86:'-508x-310y1591z',
                87:'-509x-242y1603z',
                88:'-50x-95y1696z',
                89:'-510x-276y1597z',
                90:'-519x-1378y848z',
                91:'-51x-150y1692z',
                92:'-52x-113y1695z',
                93:'-52x-131y1694z',
                94:'-578x-1507y530z',
                95:'-587x-1341y862z',
                96:'-649x-547y1472z',
                97:'-653x-1301y877z',
                98:'-654x-1470y546z',
                99:'-665x-504y1480z',
                100:'-667x-626y1549z',
                101:'-678x-460y1488z',
                102:'-689x-416y1497z',
                103:'-696x-372y1505z',
                104:'-69x-868y1459z',
                105:'-701x-329y1512z',
                106:'-704x-286y1520z',
                107:'-70x-1519y758z',
                108:'-716x-1257y891z',
                109:'-728x-1429y562z',
                110:'-776x-1210y906z',
                111:'-799x-1384y578z',
                112:'-833x-1161y920z',
                113:'-867x-1335y594z',
                114:'-868x-1461y3z',
                115:'-86x-1641y432z',
                116:'-887x-1108y934z',
                117:'-932x-1283y610z',
                118:'-937x-1053y949z',
                119:'-944x-1413y20z',
                120:'-984x-996y963z',
                121:'-994x-1228y626z',
                122:'0x-1648y415z'}         
#"
#/>


# -------------------------------------------------------------------------------------------------
#<function4xi function = "fire1700seven4xi " usage = "target function for charge2seven4xi with Process4Xi">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
def fire1700seven4xi (queue2seven, consumer_channel2seven, publisher_channel2seven):
    '''
    returns (x,y,z) coordinates via queue
    '''
    
    # -------------------------------------------------------------------------------------------------
    # PARAMETERS                   
    # -------------------------------------------------------------------------------------------------                                                               
    
    time2start = time4xi()
    if ack2debug is True:
        print("\n (STEP 1A1/33) OF FIRE1700SEVEN4XI - STARTED TIME: ", time2start)
        #  
        
        print("\n (STEP 1A2/33) OF FIRE1700SEVEN4XI -  QUEUE2SEVEN: ", queue2seven)      
        # 
        
        print("\n (STEP 1A3/33) OF FIRE1700SEVEN4XI -  CONSUMER_CHANNEL2SEVEN: ", consumer_channel2seven)
        # 
              
        print("\n (STEP 1A4/33) OF FIRE1700SEVEN4XI -  PUBLISHER_CHANNEL2SEVEN: ", publisher_channel2seven)          
        # 
        


    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    # QUEUE RETURNING
    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ack2put = False
    if ack2debug is True:
        print("\n (STEP 2A/33) OF FIRE1700SEVEN4XI - TRYING TO RETURN BY PUTTING COORDINATE DICTIONARY TO QUEUE2SEVEN: ", queue2seven, " - TIME: ", time4xi()) 
        # 
         
    try:
        # ------------------------------------------------------------------------------------- 
        # PUT SHOT TO QUEUE 
        # -------------------------------------------------------------------------------------                 
        queue2seven.put(shot2seven17004xi) 
        if ack2debug is True:
            print("\n (STEP 2B/33) OF FIRE1700SEVEN4XI - SUCCEEDED TO PUT COORDINATE DICTIONARY TO QUEUE2SEVEN: ", queue2seven, " - TIME: ", time4xi()) 
            # 
             
        ack2put = True
    except:
        print("\n (STEP 2C/33) OF FIRE1700SEVEN4XI *** FAILED TO PUT COORDINATE DICTIONARY TO QUEUE2SEVEN: ", queue2seven, " - TIME: ", time4xi()) 
    
    if ack2debug is True:
        print("\n (STEP 3A/33) OF FIRE1700SEVEN4XI - TRYING TO INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER_CHANNEL2SEVEN: ", publisher_channel2seven, " - TIME: ", time4xi())
        # 
         
    try:                
        # ---------------------------------------------------------------------------------------------
        # INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER CHANNEL 
        # ---------------------------------------------------------------------------------------------
        if ack2put is True:
            message2send4one = "<ack2put4xi>queue2seven8shot2seven17004xi </ack2put4xi>"
        else:
            message2send4one = "<nack2put4xi>queue2seven8shot2seven17004xi </nack2put4xi>" 
            
        publisher_channel2seven.send(message2send4one)
        if ack2debug is True:    
            print(" (STEP 3B/33) OF FIRE1700SEVEN4XI -  SENT MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2SEVEN: ", publisher_channel2seven, " - TIME: ", time4xi()) 
            #  
        
    except:
        print(" (STEP 3C/33) OF FIRE1700SEVEN4XI *** FAILED TO SEND MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2SEVEN: ", publisher_channel2seven, " - TIME: ", time4xi()) 
    
    if ack2debug is True:        
        print("\n (STEP 3D/33) OF FIRE1700SEVEN4XI - RETURNING QUEUE OBJECT QUEUE2SEVEN: ", queue2seven, " - TIME: ", time4xi())  
        # 
            
    return queue2seven    
        
           
#</function4xi>


#</program4xi>
# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_verb4xi.txt
#   sense-test-verb4xi.xml
#   reason-test-verb4xi.xml
#   ace-test-verb4xi.xml
#"
#>



# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of fire1700seven4xi .py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>

       